$! BILL_BY_USER.COM
$! 03-10-1995, David Mathog, Biology Division, Caltech
$!
$! Infile must be a SUMMINUTE format file.  User records are pooled
$! then costs calculated. Lastly, groups are stuck on the end of each line
$!
$! P1 is input file, if present, otherwise, default is SUMMINUTE
$! P2 is output file, if present, otherwise, default is BILLING
$!
$!
$ if(F$TRNLNM("SEAT") .eqs. "")
$ then
$   write sys$output "Fatal error, the logical SEAT is not defined"
$   exit
$ endif
$!
$ if("''P1'" .nes. "")
$ then
$   modfile = P1
$ else
$   modfile = "SUMMINUTE"
$ endif
$ if("''P2'" .nes. "")
$ then
$   outfile = P2
$ else
$   outfile = "BILLING"
$ endif
$!
$! merge the records
$!
$ define/user SUMMINUTE 'modfile'
$ define/user PAYMINUTE temp.pay
$ run seat:sum2pay
$!
$! calculate the costs
$!
$ define/user PAYMINUTE temp.pay
$ define/user BILLING   temp.cost
$ define/user COST      SEAT:cost.dat
$ run seat:pay2cost
$!
$ @seat:append_group temp.cost temp.sort
$!
$! sort them into alphabetical order
$!
$ sort/key=(pos:1,size:8) temp.sort 'outfile'
$!
$!
$!
$! clean up
$!
$ delete/nolog temp.pay.
$ delete/nolog temp.cost.
$ delete/nolog temp.sort.
$!
$ write sys$Output "User billing completed"
