C	pay2cost.for
C	93-AUG-1995, David Mathog, Biology division, Caltech
C
C	Reads a PAY "minute" records file and multiplies by 
C	a charge rate per minute.  The output file is in the
C	same order as before, but the names are left justified
C	instead of right justified, and there is an extra column
C	giving the charge in dollars.
C
C	PAYMINUTE	Environmental variable or filename for 
C	                the pay minutes file.
C
C	BILLING         Environmental variable or filename for
C			the output file
C
C	COST		Environmental variable or filename for
C	                the file that holds the charge/minute value
C	 	        if F8.4 format.
C	************************************************************
	character*8 line,lineout
	integer     usage,sum
	integer     istat,i,k
	real        minute_cost,charged
	logical     ok,new
C
C	Open input/output files
C
	open(unit=10,iostat=istat,file='PAYMINUTE'
	1   ,form='FORMATTED'
	1   ,carriagecontrol='LIST',access='SEQUENTIAL'
	1   ,status='OLD',READONLY)
	if(istat.ne.0)stop 'Fatal error:  PAYMINUTE would not open'
C
	open(unit=11,iostat=istat,file='BILLING'
	1   ,form='FORMATTED',status='NEW'
	1   ,access='SEQUENTIAL',carriagecontrol='LIST')
	if(istat.ne.0)stop 'Fatal error:  BILLING would not open'
C
	open(unit=12,iostat=istat,file='COST'
	1   ,form='FORMATTED'
	1   ,carriagecontrol='LIST',access='SEQUENTIAL'
	1   ,status='OLD',READONLY)
	if(istat.ne.0)stop 'Fatal error:  COST would not open'
C
C	retrieve the charge rate
C
1020	format(f8.4)
	read(12,1020,iostat=istat)minute_cost
	if(istat .ne. 0)stop
	1   'Fatal error:  No valid charge rate in COST'
C
C	initialize a variable
C
	ok      = .true.
C
C	scan all records
C
C
1000	format(a8,i9)
2000	format(a8,i9,f7.2)
	do while(ok)
	   read(10,1000,iostat=istat)line,sum
	   if(istat .eq. 0)then
	     charged = minute_cost * float(sum)	
	     k = 0
	     do i = 1,8
	       if(line(i:i) .ne. ' ')then
	          k = k + 1
	          lineout(k:k)=line(i:i)
	       end if
	     end do
	     if(k .le. 8)then
	       do i = k + 1,8
	          lineout(i:i)=' '
	       end do
	     end if
	     write(11,2000)lineout,sum,charged
	   else
             ok = .false.
	   end if
	end do
C
	close(10,STATUS='KEEP')
	close(11,STATUS='KEEP')
	close(12,STATUS='KEEP')
C
	stop 'pay2cost: processing completed'
	end
